| Version: 3.3.1

Public Attributes | List of all members
wxCmdLineEntryDesc Struct Reference

`#include <wx/cmdline.h>`

## Detailed Description

The structure wxCmdLineEntryDesc is used to describe a command line switch, option or parameter.

An array of such structures should be passed to wxCmdLineParser::SetDesc().

Note that the meanings of parameters of the wxCmdLineParser::AddXXX() functions are the same as of the corresponding fields in this structure.

## Public Attributes
wxCmdLineEntryType | kind
| The kind of this program argument. More...
const char * | shortName
| The usual, short, name of the switch or the option. More...
const char * | longName
| The long name for this program argument (may be empty if the option has no long name). More...
const char * | description
| This description is used by the wxCmdLineParser::Usage() method to construct a help message explaining the syntax of the program. More...
wxCmdLineParamType | type
| The type associated with this option (ignored if `kind != wxCMD_LINE_OPTION`). More...
int | flags
| A combination of one or more wxCmdLineEntryFlags enum values. More...

## Member Data Documentation

## ◆ description

const char* wxCmdLineEntryDesc::description

This description is used by the wxCmdLineParser::Usage() method to construct a help message explaining the syntax of the program.

## ◆ flags

int wxCmdLineEntryDesc::flags

A combination of one or more wxCmdLineEntryFlags enum values.

## ◆ kind

wxCmdLineEntryType wxCmdLineEntryDesc::kind

The kind of this program argument.

See wxCmdLineEntryType for more info.

## ◆ longName

const char* wxCmdLineEntryDesc::longName

The long name for this program argument (may be empty if the option has no long name).

It may contain only letters, digits and the underscores. This field is unused if `kind == wxCMD_LINE_PARAM`.

## ◆ shortName

const char* wxCmdLineEntryDesc::shortName

The usual, short, name of the switch or the option.

It may contain only letters, digits and the underscores. This field is unused if `kind == wxCMD_LINE_PARAM`.

## ◆ type

wxCmdLineParamType wxCmdLineEntryDesc::type

The type associated with this option (ignored if `kind != wxCMD_LINE_OPTION`).

See wxCmdLineParamType for more info.